Get Healing Dashboard
GET
/api/v1/admin/healing
const url = 'https://api.ultimateteam.ai/api/v1/admin/healing?rollback_window_days=7&contagion_window_days=7';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ultimateteam.ai/api/v1/admin/healing?rollback_window_days=7&contagion_window_days=7' \ --header 'X-API-Key: <X-API-Key>'Aggregate private self-healing telemetry for platform operators.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”rollback_window_days
Rollback Window Days
integer
contagion_window_days
Contagion Window Days
integer
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
HealingDashboardResponse
Top-level dashboard envelope.
object
breaker_count
Breaker Count
integer
circuit_breakers
contagion_count
Contagion Count
integer
contagion_events
Contagion Events
Array<object>
ContagionEntryobject
detected_at
required
Detected At
string
distinct_roles
Distinct Roles
Array<string>
role_count
required
Role Count
integer
tenant_id
required
Tenant Id
string
contagion_window_days
Contagion Window Days
integer
health_scores
recent_rollbacks
rollback_count
Rollback Count
integer
rollback_window_days
Rollback Window Days
integer
score_count
Score Count
integer
Example
{ "breaker_count": 0, "contagion_count": 0, "contagion_window_days": 7, "rollback_count": 0, "rollback_window_days": 7, "score_count": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}